Package com.macrofocus.high_d.distributions.swing

# Class SwingDistributions<Row,Column,Value,Bin>

java.lang.Object
com.macrofocus.high_d.distributions.AbstractDistributions<JComponent,Color,Row,Column,Value,Bin>
com.macrofocus.high_d.distributions.swing.SwingDistributions<Row,Column,Value,Bin>

All Implemented Interfaces:
  `Distributions<JComponent,Color,Row,Column,Value,Bin>`

public class SwingDistributions<Row,Column,Value,Bin> extends AbstractDistributions<JComponent,Color,Row,Column,Value,Bin>

- ## Field Summary

  ### Fields inherited from class com.macrofocus.high_d.distributions.AbstractDistributions

  `controller, licenseModel, view`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SwingDistributions()`
  Creates a Distributions component with default settings and configuration.
  `SwingDistributions(DistributionsModel model)`
  Creates a Distributions component with the its native data model.
  `SwingDistributions(com.macrofocus.molap.dataframe.DataFrame dataFrame)`
  Creates a Distributions component with the specified Swing TableModel.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected SwingDistributionsController`
  `createController(DistributionsView view)`
  Creates a controller that can be used by the parallel coordinates component
  `protected DistributionsModel`
  `createModel(com.macrofocus.molap.dataframe.DataFrame dataFrame)`
  Creates a model that can be used by the parallel coordinates component
  `protected SwingDistributionsView`
  `createView()`
  Creates a view that can be used by the parallel coordinates component
  `JComponent`
  `getNativeComponent()`
  `static void`
  `main(String[] args)`
  Sort of a Hello World! application to demonstrate the most basic use of the ParallelCoordinates API
  `static void`
  `setLicenseKey(String username, String key)`
  Register the license key that legally entitle the use of Distributions.
  `void`
  `setView(DistributionsView<JComponent,Color,Row,Column,Value,Bin> view)`
  Sets the view to be used by the parallel coordinates component and register the model currently in use.

  ### Methods inherited from class com.macrofocus.high_d.distributions.AbstractDistributions

  `getController, getModel, getView, load, setController, setModel`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### SwingDistributions

    public SwingDistributions()
    Creates a Distributions component with default settings and configuration.

  - ### SwingDistributions

    public SwingDistributions(DistributionsModel model)
    Creates a Distributions component with the its native data model.
    Parameters:
      `model` - a DistributionsModel

  - ### SwingDistributions

    public SwingDistributions(com.macrofocus.molap.dataframe.DataFrame dataFrame)
    Creates a Distributions component with the specified Swing TableModel.
    Parameters:
      `dataFrame` - a Swing TableModel

- ## Method Details

  - ### setLicenseKey

    public static void setLicenseKey(String username, String key)
    Register the license key that legally entitle the use of Distributions. This should be called prior to the first instantiation of this component.
    Parameters:
      `username` - the user name
      `key` - the license key

  - ### setView

    public void setView(DistributionsView<JComponent,Color,Row,Column,Value,Bin> view)
    Description copied from interface: `Distributions`
    Sets the view to be used by the parallel coordinates component and register the model currently in use. It will also register itself to the controller.
    Specified by:
      `setView` in interface `Distributions<JComponent,Color,Row,Column,Value,Bin>`
    Overrides:
      `setView` in class `AbstractDistributions<JComponent,Color,Row,Column,Value,Bin>`
    Parameters:
      `view` - the view to be used

  - ### createModel

    protected DistributionsModel createModel(com.macrofocus.molap.dataframe.DataFrame dataFrame)
    Creates a model that can be used by the parallel coordinates component
    Specified by:
      `createModel` in class `AbstractDistributions<JComponent,Color,Row,Column,Value,Bin>`
    Parameters:
      `dataFrame` - a Swing TableModel
    Returns:
      a ParallelCoordinatesModel instance

  - ### createView

    protected SwingDistributionsView createView()
    Creates a view that can be used by the parallel coordinates component
    Specified by:
      `createView` in class `AbstractDistributions<JComponent,Color,Row,Column,Value,Bin>`
    Returns:
      a ParallelCoordinatesView instance

  - ### createController

    protected SwingDistributionsController createController(DistributionsView view)
    Creates a controller that can be used by the parallel coordinates component
    Specified by:
      `createController` in class `AbstractDistributions<JComponent,Color,Row,Column,Value,Bin>`
    Parameters:
      `view` - the view that should be controlled
    Returns:

  - ### getNativeComponent

    public JComponent getNativeComponent()

  - ### main

    public static void main(String[] args)
    Sort of a Hello World! application to demonstrate the most basic use of the ParallelCoordinates API